import { Form, Input, Card, InputNumber, Select, message, Button } from 'antd';
import { history } from 'umi';
import ProCard from '@ant-design/pro-card';
import { useState, useEffect } from 'react';
import POI from '@/components/POI/POI';

// import { getTagList } from '@/services/tag';
// import { addAttaList, gettaTouristForm, EditaddAttaList } from '@/services/AttaList'

const { TextArea } = Input;
const { Option } = Select;
const formItemLayout = { labelCol: { span: 6 }, wrapperCol: { span: 14 } };

const goBack = () => {
  history.goBack();
};
const FormItem = Form.Item;
export default (props) => {
  const { location } = props;
  const { id } = location.query;
  const [form] = Form.useForm();
  const [listForm, setListForm] = useState({});
  const [loading, setLoading] = useState(false);
  const [imageList, setImageList] = useState([]);
  //地址--占位
  const [newLocName, setLocName] = useState('');
  const [newAddress, setAddress] = useState('');
  const Submit = (data) => {
    const typeList = (data.typeList || []).map((x) => {
      return { ...x, targetId: id, targetType: 'tourist' };
    });
    // setLoading(true);
    console.log(data);
    console.log(newLocName);
    console.log(newAddress);
    // if (id) {
    //   EditaddAttaList(id, { ...listForm, ...data, imageList, typeList }).then(() => {
    //     setLoading(false);
    //     message.success('数据更新成功');
    //     goBack();
    //   })
    //     .catch(err => {
    //       setLoading(false);
    //       message.error(err.message || err);
    //     });
    // } else {
    //   addAttaList({ ...data, imageList, typeList }).then((res) => {
    //     setLoading(false);
    //     message.success('数据保存成功');
    //     history.replace(`/Attractions/Edit?id=${res.touristId}`)
    //   })
    //     .catch(err => {
    //       setLoading(false);
    //       message.error(err.message || err);
    //     });
    // }
  };

  const selectTagList = (params) => {
    // return getTagList({
    // }).then((res) => {
    // }).catch((err) => {
    //   return {
    //     success: false,
    //   }
    // })
  };

  const imageInput = (image) => {
    return {
      uid: image.imageId,
      url: image.url,
    };
  };

  const imageOutput = (image) => {
    return {
      imageId: image?.raw?.imageId,
      shopId: id,
      url: image.url,
    };
  };
  useEffect(() => {
    selectTagList();
    // if (id) {
    //   gettaTouristForm(id).then((res) => {
    //     setListForm(res)
    //     form.setFieldsValue(res)
    //     setImageList(res?.imageList || [])
    //   })
    // }
  }, [id]);

  return (
    <Card>
      <ProCard tabs={{ type: 'card' }}>
        <ProCard.TabPane key={1} tab="合作社编辑">
          <Form {...formItemLayout} onFinish={Submit} form={form}>
            <FormItem
              label="合作社名称"
              name="title"
              rules={[{ required: true, message: '请输入合作社名称16个字符以内' }]}
            >
              <Input
                placeholder="请输入合作社名称16个字符以内"
                maxLength="16"
                style={{ width: '350px' }}
              />
            </FormItem>
            <FormItem
              label="信用代码"
              name="creditCode"
              rules={[{ required: true, message: '请输入' }]}
            >
              <Input placeholder="请输入信用代码" style={{ width: '350px' }} />
            </FormItem>
            <FormItem
              label="联系人"
              name="name"
              rules={[{ required: true, message: '请输入联系人' }]}
            >
              <Input placeholder="请输入联系人" rows={4} style={{ width: '350px' }} />
            </FormItem>
            <FormItem
              label="联系方式"
              name="phone"
              rules={[{ required: true, message: '请输入联系方式' }]}
            >
              <Input placeholder="请输入联系方式" rows={4} style={{ width: '350px' }} />
            </FormItem>
            <FormItem
              label="定位经纬"
              name="locaton"
              rules={[{ required: true, message: '请定位' }]}
            >
              <POI
                placeholder="定位"
                setLocName={setLocName}
                setAddress={setAddress}
                roomBoole={true}
              />
            </FormItem>
            <FormItem
              label="地址"
              name="address"
              rules={[{ required: true, message: '请输入地址' }]}
            >
              <TextArea placeholder="请输入地址" style={{ width: '350px' }} />
            </FormItem>
            <FormItem label=" " colon={false}>
              <Button type="default" onClick={() => goBack()}>
                返回
              </Button>
              <Button
                type="primary"
                loading={loading}
                htmlType="submit"
                style={{ marginLeft: '4em' }}
              >
                保存
              </Button>
            </FormItem>
          </Form>
        </ProCard.TabPane>
      </ProCard>
    </Card>
  );
};
